gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ModelView.CellRendererToggle

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes
- Signals
- Deprecated

Description

Renders a toggle button in a cell

Synopsis

- data CellRendererToggle
- class CellRendererClass o => CellRendererToggleClass o
- castToCellRendererToggle :: GObjectClass obj => obj -> CellRendererToggle
- gTypeCellRendererToggle :: GType
- toCellRendererToggle :: CellRendererToggleClass o => o -> CellRendererToggle
- cellRendererToggleNew :: IO CellRendererToggle
- cellRendererToggleGetRadio :: CellRendererToggleClass self => self -> IO Bool
- cellRendererToggleSetRadio :: CellRendererToggleClass self => self -> Bool -> IO ()
- cellRendererToggleGetActive :: CellRendererToggleClass self => self -> IO Bool
- cellRendererToggleSetActive :: CellRendererToggleClass self => self -> Bool -> IO ()
- cellToggleActive :: CellRendererToggleClass self => Attr self Bool
- cellToggleInconsistent :: CellRendererToggleClass self => Attr self Bool
- cellToggleActivatable :: CellRendererToggleClass self => Attr self Bool
- cellToggleRadio :: CellRendererToggleClass self => Attr self Bool
- cellToggleIndicatorSize :: CellRendererToggleClass self => Attr self Int
- cellToggled :: (CellRendererToggleClass self, GlibString string) => Signal self (string -> IO ())

# Detail

`CellRendererToggle` renders a toggle button in a cell. The button is drawn as a radio or checkbutton, depending on the radio property. When activated, it emits the toggled signal.

# Class Hierarchy

    | GObject
    | +----Object
    | +----CellRenderer
    | +----CellRendererToggle

# Types

data CellRendererToggle Source #

#### Instances

Instances details

Eq CellRendererToggle Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: CellRendererToggle -> CellRendererToggle -> Bool Source # (/=) :: CellRendererToggle -> CellRendererToggle -> Bool Source #
Ord CellRendererToggle Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: CellRendererToggle -> CellRendererToggle -> Ordering Source #

(<) :: CellRendererToggle -> CellRendererToggle -> Bool Source #

(<=) :: CellRendererToggle -> CellRendererToggle -> Bool Source #

(>) :: CellRendererToggle -> CellRendererToggle -> Bool Source #

(>=) :: CellRendererToggle -> CellRendererToggle -> Bool Source #

max :: CellRendererToggle -> CellRendererToggle -> CellRendererToggle Source #

min :: CellRendererToggle -> CellRendererToggle -> CellRendererToggle Source #

GObjectClass CellRendererToggle Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: CellRendererToggle -> GObject Source # unsafeCastGObject :: GObject -> CellRendererToggle Source #
CellRendererClass CellRendererToggle Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CellRendererToggleClass CellRendererToggle Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class CellRendererClass o => CellRendererToggleClass o Source #

#### Instances

Instances details

CellRendererToggleClass CellRendererToggle Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToCellRendererToggle :: GObjectClass obj => obj -> CellRendererToggle Source #

gTypeCellRendererToggle :: GType Source #

toCellRendererToggle :: CellRendererToggleClass o => o -> CellRendererToggle Source #

# Constructors

cellRendererToggleNew :: IO CellRendererToggle Source #

Creates a new `CellRendererToggle`. Adjust rendering parameters using object properties. Object properties can be set globally (with `set`). Also, within a `TreeViewColumn`, you can bind a property to a value in a `TreeModel` using `cellLayoutSetAttributes`. For example, you can bind the `cellToggleActive` property on the cell renderer to a boolean value in the model, thus causing the check button to reflect the state of the model.

# Methods

cellRendererToggleGetRadio Source #

Arguments

:: CellRendererToggleClass self |
=> self |
-> IO Bool | returns `True` if we're rendering radio toggles rather than checkboxes

Returns whether we're rendering radio toggles rather than checkboxes.

cellRendererToggleSetRadio Source #

Arguments

:: CellRendererToggleClass self |
=> self |
-> Bool | `radio` - `True` to make the toggle look like a radio button
-> IO () |

If `radio` is `True`, the cell renderer renders a radio toggle (i.e. a toggle in a group of mutually-exclusive toggles). If `False`, it renders a check toggle (a standalone boolean option). This can be set globally for the cell renderer, or changed just before rendering each cell in the model (for `TreeView`, you set up a per-row setting using `TreeViewColumn` to associate model columns with cell renderer properties).

cellRendererToggleGetActive Source #

Arguments

:: CellRendererToggleClass self |
=> self |
-> IO Bool | returns `True` if the cell renderer is active.

Returns whether the cell renderer is active. See `cellRendererToggleSetActive`.

cellRendererToggleSetActive Source #

Arguments

:: CellRendererToggleClass self |
=> self |
-> Bool | `setting` - the value to set.
-> IO () |

Activates or deactivates a cell renderer.

# Attributes

cellToggleActive :: CellRendererToggleClass self => Attr self Bool Source #

The toggle state of the button.

Default value: `False`

cellToggleInconsistent :: CellRendererToggleClass self => Attr self Bool Source #

The inconsistent state of the button.

Default value: `False`

cellToggleActivatable :: CellRendererToggleClass self => Attr self Bool Source #

The toggle button can be activated.

Default value: `True`

cellToggleRadio :: CellRendererToggleClass self => Attr self Bool Source #

Draw the toggle button as a radio button.

Default value: `False`

cellToggleIndicatorSize :: CellRendererToggleClass self => Attr self Int Source #

Size of check or radio indicator.

Allowed values: >= 0

Default value: 12

# Signals

cellToggled :: (CellRendererToggleClass self, GlibString string) => Signal self (string -> IO ()) Source #

The `cellToggled` signal is emitted when the cell is toggled. The string represents a `TreePath` into the model and can be converted using `stringToTreePath`.

# Deprecated